# egg-vue-typescript-boilerplate

Single Page Application Isomorphic Example for Egg + Vue, Front-End and Node of The Application are Written in TypeScript.

## Document

- https://www.yuque.com/easy-team/egg-vue
- https://www.yuque.com/easy-team/easywebpack


## QuickStart

- Development Mode

```bash
$ npm install -g easywebpack-cli
$ ves init
$ npm install
$ npm run dev
$ open http://localhost:7001
```

- Publish Mode

```bash
npm run tsc
npm run build
npm start
```

## Features

- ✔︎ Single Page Application, Support Vue Server Side Render and Client Side Render Modes, Rendering Cache, Automatic Downgrade
- ✔︎ Front-End and Node of The Application are Written in TypeScript, Use `vue-property-decorator` and `vuex-class`
- ✔︎ Build with Webpack + TypeScript, Auto Building, Hot Reload, Code Splitting, High Speed, Performance Optimization

## Rendering

- Font-End TypeScript

![Font-End TypeScript](https://github.com/easy-team/egg-vue-typescript-boilerplate/blob/master/docs/images/vue-front-end.png?raw=true)

- Node TypeScript

![Node TypeScript](https://github.com/easy-team/egg-vue-typescript-boilerplate/blob/master/docs/images/vue-node.png?raw=true)

- UI ScreenShot

![UI ScreenShot](https://github.com/easy-team/egg-vue-typescript-boilerplate/blob/master/docs/images/vue-admin-ui.png?raw=true)

## TypeScript

- https://github.com/kaorun343/vue-property-decorator
- https://github.com/ktsn/vuex-class


## License

[MIT](LICENSE)
